BAKE.PHP(1)

NAME
bake.php - generates skeleton CakePHP applications

SYNOPSIS
bake.php [command] [path]

DESCRIPTION
The bake.php script generates controllers, views and models for your application. If run with no command line arguments, bake.php guides the user through the class creation process. You can customize the generation process by telling bake.php where different parts of your application are using command line arguments.

OPTIONS

-app, -a
    Absolute path to Cake's app directory

-core, -c
    Absolute path to Cake's cake directory

-project, -p
    Generates a new app directory in the path supplied

-root, -r
    Absolute path to Cake's /app/webroot directory

-help, -h
    Shows help message

SEE ALSO
acl.php(1).

AUTHOR
bake.php was written by Larry E. Masters <phpnut@gmail.com>.

This manual page was written by Chris Lamb <chris@chris-lamb.co.uk>, for the Debian project (but may be used by others).